Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.transcoder.wmf.tosvg
Class TextureFactory

    java.lang.Object
      org.apache.batik.transcoder.wmf.tosvg.TextureFactory

    public class TextureFactory

extends Object

This class generate Paints from WMF hatch definitions. All generated Paints are cached for future use.

Method Summary
`static TextureFactory` | `getInstance()` Get the unique instance of the class.
`static TextureFactory` | `getInstance(float scale)` Get the unique instance of the class, setting the scale of the pattern.
`Paint` | `getTexture(int textureId)` Get a texture from a WMF hatch definition (in black Color).
`Paint` | `getTexture(int textureId, Color foreground)` Get a texture from a WMF hatch definition, with a foreground color.
`Paint` | `getTexture(int textureId, Color foreground, Color background)` Get a texture from a WMF hatch definition, with a foreground and a background color.
`void` | `reset()` Rest the factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static TextureFactory getInstance()

  Get the unique instance of the class.

### getInstance

    public static TextureFactory getInstance(float scale)

  Get the unique instance of the class, setting the scale of the pattern. TODO : scale is not handled for now

### reset

    public void reset()

  Rest the factory. It empties all the previouly cached Paints are disposed of.

### getTexture

    public Paint getTexture(int textureId)

  Get a texture from a WMF hatch definition (in black Color). This texture will be cached, so the Paint will only be created once.

### getTexture

    public Paint getTexture(int textureId,
                            Color foreground)

  Get a texture from a WMF hatch definition, with a foreground color. This texture will be cached, so the Paint will only be created once.

### getTexture

    public Paint getTexture(int textureId,
                            Color foreground,
                            Color background)

  Get a texture from a WMF hatch definition, with a foreground and a background color. This texture will be cached, so the Paint will only be created once.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.